interface BaseOptions {
    language: Language;
    input: string;
}
export interface GetAstOptions extends BaseOptions {
    includeSource?: boolean;
}
export declare enum Language {
    'c' = "c",
    'golang' = "golang",
    'scala' = "scala",
    'ruby' = "ruby",
    'java9' = "java9",
    'lua' = "lua",
    'python3' = "python3"
}
export interface Options extends BaseOptions {
    output?: string;
    outputStyle?: 'json';
}
export interface Node {
    type: string;
    start: NodePosition;
    stop: NodePosition;
    children: Node[];
}
export interface NodePosition {
    type: string;
    start: number;
    stop: number;
    line: number;
    column: number;
    text: string;
    source?: string;
}
export declare const languages: string[];
export {};
